/* 

                          Firewall Builder

                 Copyright (C) 2002 Vadim Zaliva, Vadim Kurland

  Author:  Vadim Kurland <vadim@vk.crocodile.org>

  $Id: Address.cc,v 1.4 2002/06/11 21:20:24 vkurland Exp $

  This program is free software which we release under the GNU General Public
  License. You may redistribute and/or modify this program under the terms
  of that license as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  To get a copy of the GNU General Public License, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include <fwbuilder/libfwbuilder-config.h>

#include <fwbuilder/Address.hh>
#include <fwbuilder/FWException.hh>
#include <fwbuilder/FWObjectReference.hh>
#include <fwbuilder/FWObjectDatabase.hh>

using namespace libfwbuilder;

const char *Address::TYPENAME={"Address"};

Address::Address(const FWObject *root) : FWObject(root) {}

IPAddress Address::getAddress() const { return IPAddress(); }
Netmask   Address::getNetmask() const { return Netmask(); }

FWReference* Address::createRef()
{
    FWObjectReference *ref=new FWObjectReference();
    ref->setPointer(this);
    return ref;
}

bool Address::isAny()
{ 
    return getId()==FWObjectDatabase::cast(getRoot())->std.AnyNetworkId; 
}
